DOVEADM-INSTANCE(1)

NAME
doveadm-instance - Manage the list of running Dovecot instances

SYNOPSIS
doveadm [-Dv] [-f formatter] instance list
doveadm [-Dv] instance remove name | base_dir

DESCRIPTION
The doveadm instance commands are used to manage the list of Dovecot instances running on the server. In most installations there is only one Dovecot instance, but in some cases is may be useful to have more (e.g. running director proxy and backend in the same server).

Instances are added to the list automatically when Dovecot is started. Each instance is uniquely identified by its base_dir setting. Instances can be named by setting instance_name in each instance's dovecot.conf. When an instance is named, it can be accessed easily by giving -i instance_name command line parameter for Dovecot binaries (e.g. doveadm). @INCLUDE:global-options-formatter@

ARGUMENTS

name
    The value of an instance's instance_name setting.

base_dir
    The base directory of a Dovecot instance.

COMMANDS

  instance list
doveadm instance list

This command lists the seen Dovecot instances.

  instance remove
doveadm instance remove name | base_dir

This command removes the specified instance. @INCLUDE:reporting-bugs@

SEE ALSO
doveadm(1)